package cn.com.qmth.examcloud.core.questions.service.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class UpYunProperty {
    @Value("${$upyun.site.1.bucketName}")
    protected String bucketName;

    @Value("${$upyun.site.1.userName}")
    protected String userName;

    @Value("${$upyun.site.1.domain}")
    protected String domain;

    @Value("${$upyun.site.1.password}")
    protected String password;

    @Value("${upyun.downloadUrl}")
    protected String downloadUrl;

    @Value("${upyun.uploadUrl}")
    private String uploadPath;

    @Value("${upyun.audio.uploadUrl}")
    private String radioUploadPath;

    @Value("${upyun.radioType}")
    private String radioType;

    @Value("${upyun.audio.maxsize}")
    private String audioMaxsize;

    @Value("${upyun.downloadDirectory}")
    private String downloadDirectory;

    @Value("${upyun.zipDirectory}")
    private String zipDirectory;

    public String getBucketName() {
        return bucketName;
    }

    public void setBucketName(String bucketName) {
        this.bucketName = bucketName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getDomain() {
        return domain;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getDownloadUrl() {
        return downloadUrl;
    }

    public void setDownloadUrl(String downloadUrl) {
        this.downloadUrl = downloadUrl;
    }

    public String getUploadPath() {
        return uploadPath;
    }

    public void setUploadPath(String uploadPath) {
        this.uploadPath = uploadPath;
    }

    public String getRadioUploadPath() {
        return radioUploadPath;
    }

    public void setRadioUploadPath(String radioUploadPath) {
        this.radioUploadPath = radioUploadPath;
    }

    public String getRadioType() {
        return radioType;
    }

    public void setRadioType(String radioType) {
        this.radioType = radioType;
    }

    public String getAudioMaxsize() {
        return audioMaxsize;
    }

    public void setAudioMaxsize(String audioMaxsize) {
        this.audioMaxsize = audioMaxsize;
    }

    public String getDownloadDirectory() {
        return downloadDirectory;
    }

    public void setDownloadDirectory(String downloadDirectory) {
        this.downloadDirectory = downloadDirectory;
    }

    public String getZipDirectory() {
        return zipDirectory;
    }

    public void setZipDirectory(String zipDirectory) {
        this.zipDirectory = zipDirectory;
    }
}